<?php
include "koneksi.php";
if (!isset($_SESSION["UserID"])) {
	header("location:login.php?p=3");
}

// memanggil library FPDF
require('fpdf/fpdf.php');
// intance object dan memberikan pengaturan halaman PDF
$pdf = new FPDF('p','mm','A4');
// membuat halaman baru
$pdf->AddPage();
// setting jenis font yang akan digunakan
$pdf->SetFont('Arial','B',18);
// mencetak string 
$pdf->Cell(190,3,'PT.MULTI HIDRACHROME BALIKPAPAN',0,1,'C');
$pdf->SetFont('Arial','B',15);
$pdf->Cell(190,7,'',0,1,'C');
$pdf->Cell(190,5,'SURAT KEPUTUSAN',0,1,'C');
$pdf->SetFont('Arial','B',12);
$pdf->Cell(190,5,'No.',0,1,'C');

$pdf->SetFont('Arial','B',10);
$timezone = time() + (60 * 60 * 1);
date_default_timezone_set('Asia/Jakarta');
$pdf->Cell(190,6,'Balikpapan,  '.date('d / M / yy / H:i:s a',$timezone),0,1,'C');
$pdf->SetFont('Arial','B',10);



$idcuti = mysqli_real_escape_string($conn, $_GET["id"]);


//query untuk pengambilan data gaji
$q = "SELECT * FROM data_naik_gaji WHERE id=".$idcuti;
$res = mysqli_query($conn, $q);
$row = mysqli_fetch_array($res);

$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');

$pdf->SetFont('Arial','',11);
$pdf->Cell(35 , 5, 'Menimbang :      ',0,1,'c');
$pdf->Cell(20 , 5, 'Mengingat   :  ',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->SetFont('Arial','B',12);
$pdf->Cell(190,5,'MEMUTUSKAN',0,1,'C');
$pdf->SetFont('Arial','',11);
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, 'Menetapkan',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, 'PERTAMA : Memberikan kenaikan gaji berkala kepada pegawai yang namanya tertera atas kinerja ',0,1,'c');
$pdf->Cell(20 , 5, '                     yang telah dicapai.',0,1,'c');
$pdf->Cell(20 , 5, 'KEDUA      : Keputusan ini berlaku terhitung mulai tanggal '.''.', dengan kententuan',0,1,'c');
$pdf->Cell(20 , 5, '                     bahwa apabila dikemudian hari terdapat kekeliruan dalam penetapan ini akan dibenarkan',0,1,'c');
$pdf->Cell(20 , 5, '                     kembali sebagaimana mestinya.',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->SetFont('Arial','',11);
$pdf->Cell(20 , 5, 'Nama                   : '.$row['nama'],0,1,'c');
$pdf->Cell(20 , 5, 'NIK                       :'.$row['nik'],0,1,'c');
$pdf->Cell(20 , 5, 'Tanggal Masuk    :'.$row['tanggal_masuk'],0,1,'c');
$pdf->Cell(20 , 5, 'Jabatan                :'.$row['jabatan'],0,1,'c');
$pdf->Cell(20 , 5, 'Hasil Penilaian     :'.$row['hasil_penilaian'],0,1,'c');
$pdf->SetFont('Arial','',11);
$pdf->Cell(20 , 5, '',0,1,'c');

$pdf->Cell(70 , 5, 'Adapun gaji yang kami usulkan adalah sebagai berikut :',0,1,'c');
$pdf->Cell(80 , 5, '                                         Lama             ',0,0,'c');
$pdf->Cell(50 , 5, '                                            Baru             ',0,1,'c');
$pdf->Cell(100 , 5, 'Gaji Pokok                       : '.$row['gaji'],0,0,'c');
$pdf->Cell(100 , 5, 'Menjadi             : Rp.'.$row['gaji_baru'],0,1,'c');

$pdf->Cell(100 , 5, 'Tunjangan Jabatan          : '.$row['tunjangan_jabatan'],0,0,'c');
$pdf->Cell(100 , 5, 'Menjadi             : Rp.'.$row['tunjangan_jabatan_baru'],0,1,'c');

$pdf->Cell(100 , 5, 'Tunjangan  Operasional  : '.$row['tunjangan_operasional'],0,0,'c');
$pdf->Cell(100 , 5, 'Menjadi             : Rp.'.$row['tunjangan_operasional_baru'],0,1,'c');

$pdf->Cell(100 , 5, 'Tunjangan  Komunikatif   : '.$row['tunjangan_komunikatif'],0,0,'c');
$pdf->Cell(100 , 5, 'Menjadi             : Rp.'.$row['tunjangan_komunikatif_baru'],0,1,'c');

$pdf->Cell(100 , 5, 'Tunjangan  Makan           : '.$row['tunjangan_makan'].' /Hari',0,0,'c');
$pdf->Cell(100 , 5, 'Menjadi             : Rp.'.$row['tunjangan_makan_baru'],0,1,'c');

$pdf->Cell(100 , 5, 'Tunjangan  Transport       : '.$row['tunjangan_transport'],0,0,'c');
$pdf->Cell(100 , 5, 'Menjadi             : Rp.'.$row['tunjangan_transport_baru'],0,1,'c');


$tambah = $row['gaji_baru'] + $row['tunjangan_jabatan_baru'] + $row['tunjangan_operasional_baru'] + 
          $row['tunjangan_komunikatif_baru'] + $row['tunjangan_makan_baru'] + $row['tunjangan_transport_baru'];
		  
$pdf->Cell(100 , 5, '',0,0,'c');
$pdf->Cell(100 , 5, 'Total                  : Rp.'.$tambah,0,1,'c');

$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, 'Demikian usulan kenaikan gaji ini kami buat, besar harapan kami agar dipertimbangkan.',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, 'Ditetapkan di    : Balikpapan',0,1,'c');
$pdf->Cell(20 , 5, 'Pada Tanggal   : '.date('d / M / yy / H:i:s'),0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(20 , 5, '',0,1,'c');

$pdf->SetFont('Arial','',11);
$pdf->Cell(20 , 5, 'TTD System',0,1,'c');
$pdf->Cell(20 , 5, '__________',0,1,'c');
$pdf->Cell(20 , 5, 'HC-GA MGR',0,1,'c');


$pdf->Cell(20 , 5, '',0,1,'c');
$pdf->Cell(35 , 5, 'cc : Yth :   - Direktur PT. MHB',0,1,'c');
$pdf->Cell(35 , 5, '                 - Dir. Keuangan PT. MHB',0,1,'c');
$pdf->Cell(35 , 5, '                 - FIle',0,1,'c');




// Memberikan space kebawah agar tidak terlalu rapat
//$pdf->Cell(10,7,'',0,1);

//$pdf->SetFont('Arial','B',10);
//$pdf->Cell(15,6,'No',1,0,'C');
//$pdf->Cell(40,6,'NRP',1,0,'C');
//$pdf->Cell(85,6,'NAMA MAHASISWA',1,0,'C');
//$pdf->Cell(47,6,'TTD',1,0,'C');





//$mahasiswa = mysqli_query($link, "SELECT mk.nrp AS nrp, m.nama AS nama, k.nama_kelas AS namakelas, mt.nama AS namamatkul
//FROM 
//mahasiswa_kelas mk
//INNER JOIN kelas k ON mk.kode_kelas = k.kode_kelas 
//INNER JOIN mahasiswa m ON m.nrp = mk.nrp
//INNER JOIN matakuliah mt ON k.kode_mk = mt.kode_mk
//");

$no = 1;
$pdf->Ln();
while ($row = mysqli_fetch_array($res)){
	//$pdf->SetFont('Arial','B',10);
	//$pdf->SetFillColor(255,255,255);
	//$pdf->Cell(15,6,$no++,1,0,'C',true);
	//$pdf->Cell(40,6,$row['nik'],1,0,'C');
	//$pdf->Cell(85,6,$row['nama_karyawan'],1,0,'L');
	//$pdf->Cell(47,6,"",1,0,'C');
	//$pdf->Ln();
}

$pdf->Output();


?>